C-------------------------------------------------------------------C
c
c puts the info for one file on the line by the file. Passed NHOLD in
C DMMCCOM common block
c rich gregory 8/10/85
c
C-------------------------------------------------------------------C
       subroutine info
       Implicit Integer*4 (A - Z)
       character*56 file_info
       Include 'common.include'
       integer*2 cl
C-------------------------------------------------------------------C
       fast = -1
       call setchoices(fast)
       call writel(choices, 24, 1)
       cl = topline + cursorline -1
       nhold = ld(cl)(5:80) !nhold is the input string to make_file_prot_string
       call make_file_prot_string ( file_info )
       ldattributes (cl) = file_info

       call writel (ldattributes(cl), cursorline, file_attr_pos)
       return
       end    	

C-------------------------------------------------------------------C
c
c makes the file info string when passed the file name as NHOLD 
c in common block 'DMCCOM'. Returns file_info
c rich gregory 8/10/85
c
C-------------------------------------------------------------------C

    	 subroutine make_file_prot_string ( file_info )
    	 character*56 file_info
         character*21 st21, strg
         character*3 hold3
         character*9 uichold
    	 include 'common.include'

         Call FLook(NHOLD)    ! Get Prot, UIC1, UIC2, Time/Date
         If (Derror .EQ. 0) then 
           Call GetProt(LkProt, St21)
           Call Lib$sys_Asctim(Len, Strg, LkDate, 0)
           UicHold = '[000,000]'
           Call OTS$CVT_L_TO(LkUic1, Hold3, %Val(3), %Val(2))
           UicHold(2:4) = Hold3
           Call OTS$CVT_L_TO(LkUic2, Hold3, %Val(3), %Val(2))
           UicHold(6:8) = Hold3
           If (First_Free .EQ. 0) File_Siz = File_Siz - 1
           Encode (6, 710, file_size) File_Siz
           Total_Blks = Total_Blks + File_Siz
710        Format(I5)
	   Encode (6, 400, file_info(1:5)) file_siz
400	   format (i5)
	   file_info (6  : 6) = ' ' 
	   file_info (7  : 19) = Strg(1:2)//Strg(4:6)//strg(10:17)
				!  xx        mmm       yy hh:mm - date time
	   file_info (21 : 27) = UicHold (2:8)	! 9  uic stuff
	   file_info (28 : 28) = ' ' 
	   file_info (20 : 20) = ' ' 
	   file_info (29 : 49) = St21(2:20)	! 21 protection

         Else
           file_info =
     -     '** No Privilege for this info **    '
         End If !NO ERROR

    	 return
    	 end !MAKE_FILE_PROT_STRING
C-------------------------------------------------------------------C
c
c routine to prompt for wildcard which is stored in the /wild/
C common block
c rich gregory 8/22/85
c
C-------------------------------------------------------------------C
	SUBROUTINE WILD (startover)
	character*80 temp_str
	integer*2 length_str, startover
	include 'common.include'
	call mess ('Enter the wildcard for this directory: ')
	call kbdname( temp_str, length_str)
	if (temp_str(1:1) .eq. ' ') then
	  startover = 0
	else
	  startover = 1
	  wildcard = temp_str(1:20)
	end if
	return
	end
